package com.ruoyi.web.v1.model.request;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Date;

public class AddHookBindBatch {
    /** 绑定时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date bindTime;

    private String []  hookNoListArr;
    private String slaughterCode;
    private Long distributeBatchId;
    public void setHookNoListArr(String [] hookNoListArr)
    {
        this.hookNoListArr = hookNoListArr;
    }

    @NotNull(message = "吊钩号不能为空")
    @Size(min = 1,message = "吊钩号不能为空")
    public String [] getHookNoListArr()
    {
        return hookNoListArr;
    }

    public void setSlaughterCode(String slaughterCode)
    {
        this.slaughterCode = slaughterCode;
    }

    @NotBlank(message = "血码不能为空")
    public String getSlaughterCode()
    {
        return slaughterCode;
    }

    public void setDistributeBatchId(Long distributeBatchId)
    {
        this.distributeBatchId = distributeBatchId;
    }

    public Long getDistributeBatchId()
    {
        return distributeBatchId;
    }

    public void setBindTime(Date bindTime)
    {
        this.bindTime = bindTime;
    }

    public Date getBindTime()
    {
        return bindTime;
    }

}
